[bug#42063] gnu: python-pytest-flake8: Update to 1.0.6.
diff mbox series

Message ID 20200626161403.1689-1-kraai@ftbfs.org
State New
Headers show
Series
  • [bug#42063] gnu: python-pytest-flake8: Update to 1.0.6.
Related show

Checks

Context Check Description
cbaines/applying patch fail View Laminar job

Commit Message

Matthew Kraai June 26, 2020, 4:14 p.m. UTC
* gnu/packages/python-check.scm (python-pytest-flake8): Update to 1.0.6.
---
 gnu/packages/python-check.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comments

Matthew Kraai June 26, 2020, 9:11 p.m. UTC | #1
Hi,

This patch fixes the build of python-pathpy.  Without this patch, it
fails to build with the following errors:

=================================== FAILURES ===================================
_________________________________ FLAKE8-check _________________________________
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/gnu/store/3bk454z353a42l1l4yaxa6lrl3dh24mv-python-pytest-5.3.5/lib/python3.8/site-packages/_pytest/runner.py:134: in pytest_runtest_call
    item.runtest()
/gnu/store/ki31zx9qrpss8pmy0cgk44j8hhm2nc35-python-pytest-flake8-1.0.4/lib/python3.8/site-packages/pytest_flake8.py:110: in runtest
    found_errors, out, err = call(
/gnu/store/hh397yagghj2nrpwv9cdc6cgqwbrk4yx-python-py-1.8.1/lib/python3.8/site-packages/py/_io/capture.py:150: in call
    res = func(*args, **kwargs)
/gnu/store/ki31zx9qrpss8pmy0cgk44j8hhm2nc35-python-pytest-flake8-1.0.4/lib/python3.8/site-packages/pytest_flake8.py:182: in check_file
    app.parse_preliminary_options_and_args(args)
E   AttributeError: 'Application' object has no attribute 'parse_preliminary_options_and_args'
_________________________________ FLAKE8-check _________________________________
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/gnu/store/3bk454z353a42l1l4yaxa6lrl3dh24mv-python-pytest-5.3.5/lib/python3.8/site-packages/_pytest/runner.py:134: in pytest_runtest_call
    item.runtest()
/gnu/store/ki31zx9qrpss8pmy0cgk44j8hhm2nc35-python-pytest-flake8-1.0.4/lib/python3.8/site-packages/pytest_flake8.py:110: in runtest
    found_errors, out, err = call(
/gnu/store/hh397yagghj2nrpwv9cdc6cgqwbrk4yx-python-py-1.8.1/lib/python3.8/site-packages/py/_io/capture.py:150: in call
    res = func(*args, **kwargs)
/gnu/store/ki31zx9qrpss8pmy0cgk44j8hhm2nc35-python-pytest-flake8-1.0.4/lib/python3.8/site-packages/pytest_flake8.py:182: in check_file
    app.parse_preliminary_options_and_args(args)
E   AttributeError: 'Application' object has no attribute 'parse_preliminary_options_and_args'
_________________________________ FLAKE8-check _________________________________
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/gnu/store/3bk454z353a42l1l4yaxa6lrl3dh24mv-python-pytest-5.3.5/lib/python3.8/site-packages/_pytest/runner.py:134: in pytest_runtest_call
    item.runtest()
/gnu/store/ki31zx9qrpss8pmy0cgk44j8hhm2nc35-python-pytest-flake8-1.0.4/lib/python3.8/site-packages/pytest_flake8.py:110: in runtest
    found_errors, out, err = call(
/gnu/store/hh397yagghj2nrpwv9cdc6cgqwbrk4yx-python-py-1.8.1/lib/python3.8/site-packages/py/_io/capture.py:150: in call
    res = func(*args, **kwargs)
/gnu/store/ki31zx9qrpss8pmy0cgk44j8hhm2nc35-python-pytest-flake8-1.0.4/lib/python3.8/site-packages/pytest_flake8.py:182: in check_file
    app.parse_preliminary_options_and_args(args)
E   AttributeError: 'Application' object has no attribute 'parse_preliminary_options_and_args'
_________________________________ FLAKE8-check _________________________________
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/gnu/store/p0wphmjxi2mn1i72m1bq2mbfbq5d706h-python-pluggy-0.13.1/lib/python3.8/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/gnu/store/3bk454z353a42l1l4yaxa6lrl3dh24mv-python-pytest-5.3.5/lib/python3.8/site-packages/_pytest/runner.py:134: in pytest_runtest_call
    item.runtest()
/gnu/store/ki31zx9qrpss8pmy0cgk44j8hhm2nc35-python-pytest-flake8-1.0.4/lib/python3.8/site-packages/pytest_flake8.py:110: in runtest
    found_errors, out, err = call(
/gnu/store/hh397yagghj2nrpwv9cdc6cgqwbrk4yx-python-py-1.8.1/lib/python3.8/site-packages/py/_io/capture.py:150: in call
    res = func(*args, **kwargs)
/gnu/store/ki31zx9qrpss8pmy0cgk44j8hhm2nc35-python-pytest-flake8-1.0.4/lib/python3.8/site-packages/pytest_flake8.py:182: in check_file
    app.parse_preliminary_options_and_args(args)
E   AttributeError: 'Application' object has no attribute 'parse_preliminary_options_and_args'
================== 4 failed, 75 passed, 1 deselected in 7.65s ==================
command "pytest" "-v" "-k" "not test_import_time" failed with status 1
Ludovic Courtès June 28, 2020, 9:26 p.m. UTC | #2
Hi Matthew,

Matthew Kraai <kraai@ftbfs.org> skribis:

> This patch fixes the build of python-pathpy.  Without this patch, it
> fails to build with the following errors:

I built the dependents returned by:

  guix refresh -l python-pytest-flake8

and found several build failures, some probably introduced by this
upgrade (python-tinycss2), and others probably unrelated
(python-geventhttpclient).

Could you take a look?

It would be nice if we were sure to be starting from a known-good state
but that’s apparently not the case.  :-/

Thank you!

Ludo’.
Matthew Kraai June 29, 2020, 4:37 a.m. UTC | #3
Hi,

On Sun, Jun 28, 2020 at 11:26:11PM +0200, Ludovic Courtès wrote:
> Matthew Kraai <kraai@ftbfs.org> skribis:
> 
> > This patch fixes the build of python-pathpy.  Without this patch, it
> > fails to build with the following errors:
> 
> I built the dependents returned by:
> 
>   guix refresh -l python-pytest-flake8
> 
> and found several build failures, some probably introduced by this
> upgrade (python-tinycss2), and others probably unrelated
> (python-geventhttpclient).
> 
> Could you take a look?
> 
> It would be nice if we were sure to be starting from a known-good state
> but that’s apparently not the case.  :-/
> 
> Thank you!

python-geventhttpclient fails to build because python-zope-event and
python-zope-interface aren't installed.  They're imported by
python-gevent, so I think they should be moved from its native-inputs
to its propagated-inputs.  Should I file a patch to fix this as a
separate report or should I send it to this one?
Ludovic Courtès June 29, 2020, 7:25 a.m. UTC | #4
Hi,

Matthew Kraai <kraai@ftbfs.org> skribis:

> python-geventhttpclient fails to build because python-zope-event and
> python-zope-interface aren't installed.  They're imported by
> python-gevent, so I think they should be moved from its native-inputs
> to its propagated-inputs.  Should I file a patch to fix this as a
> separate report or should I send it to this one?

You can send it separately.  Thanks for looking into it!

Ludo’.
Tobias Geerinckx-Rice via Guix-patches via June 29, 2020, 9:54 a.m. UTC | #5
Matthew,

Matthew Kraai 写道:
> * gnu/packages/python-check.scm (python-pytest-flake8): Update 
> to 1.0.6.

Pushed as 484255f7b4a1490331d0a950b4429c4fcd82f132.

Thanks,

T G-R

Patch
diff mbox series

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 7d8647cb44..200bce6ced 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -183,14 +183,14 @@  of the project to ensure it renders properly.")
 (define-public python-pytest-flake8
   (package
     (name "python-pytest-flake8")
-    (version "1.0.4")
+    (version "1.0.6")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "pytest-flake8" version))
        (sha256
         (base32
-         "1h30gd21fjsafqxwclf25sdh89vrdz7rsh4lzw11aiw7ww9mq8jd"))))
+         "09vhn7r77s1yiqnlwfvh5585f904zpyd6620a90dpccfr1cbp0hv"))))
     (build-system python-build-system)
     (propagated-inputs
      `(("python-flake8" ,python-flake8)))